# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.87.0"
name = "decal-macros"
version = "0.1.3"
build = false
exclude = [
    "/tests",
    "/wip",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Macros for constructing Decal nodes"
readme = "README.md"
keywords = [
    "svg",
    "macros",
]
categories = ["development-tools::procedural-macro-helpers"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/mem-red/decal"

[lib]
name = "decal_macros"
path = "src/lib.rs"
proc-macro = true

[dependencies.hashbrown]
version = "0.16.1"

[dependencies.proc-macro2]
version = "1.0.95"

[dependencies.quote]
version = "1.0.40"

[dependencies.syn]
version = "2.0.104"
features = ["full"]

[dev-dependencies.trybuild]
version = "1.0.106"

[dev-dependencies.walkdir]
version = "2.5.0"
